Package org.eclipse.m2m.atl.emftvm.impl.resource

# Class EMFTVMResourceFactoryImpl

java.lang.Object
org.eclipse.emf.ecore.resource.impl.ResourceFactoryImpl
org.eclipse.m2m.atl.emftvm.impl.resource.EMFTVMResourceFactoryImpl

All Implemented Interfaces:
  `org.eclipse.emf.ecore.resource.Resource.Factory`

public class EMFTVMResourceFactoryImpl extends org.eclipse.emf.ecore.resource.impl.ResourceFactoryImpl
Creates instances of `EMFTVMResourceImpl`.

## Nested Class Summary

## Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.resource.Resource.Factory

`org.eclipse.emf.ecore.resource.Resource.Factory.Descriptor, org.eclipse.emf.ecore.resource.Resource.Factory.Registry`

## Constructor Summary

Constructors
Constructor
Description
`EMFTVMResourceFactoryImpl()`

## Method Summary

Modifier and Type
Method
Description
`org.eclipse.emf.ecore.resource.Resource`
`createResource(org.eclipse.emf.common.util.URI uri)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### EMFTVMResourceFactoryImpl

public EMFTVMResourceFactoryImpl()

## Method Details

### createResource

public org.eclipse.emf.ecore.resource.Resource createResource(org.eclipse.emf.common.util.URI uri)

Specified by:
  `createResource` in interface `org.eclipse.emf.ecore.resource.Resource.Factory`
Overrides:
  `createResource` in class `org.eclipse.emf.ecore.resource.impl.ResourceFactoryImpl`